from django import template

register = template.Library()


@register.filter
def split(value: str, delimiter: str = ',') -> list[str]:
    """Split a string into a list using the given delimiter."""
    if value:
        return [item.strip() for item in value.split(delimiter)]
    return []
